Debian Bug report logs - #700518
ITP: libkeepalive -- enable tcp keepalive support in programs using shared libraries

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thorsten Alteholz <debian@alteholz.de>

Date: Wed, 13 Feb 2013 19:24:04 UTC

Owned by: Thorsten Alteholz <debian@alteholz.de>

Severity: wishlist

Fixed in version libkeepalive/0.2-1

Done: Thorsten Alteholz <debian@alteholz.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#700518; Package wnpp. (Wed, 13 Feb 2013 19:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Alteholz <debian@alteholz.de>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 13 Feb 2013 19:24:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thorsten Alteholz <debian@alteholz.de>
To: submit@bugs.debian.org
Subject: ITP: libkeepalive -- enable tcp keepalive support in programs using shared libraries
Date: Wed, 13 Feb 2013 20:01:09 +0100 (CET)
Package: wnpp
Severity: wishlist


* Package name    : libkeepalive
  Version         : 0.2
  Upstream Author : Fabio Busatto <fabio.busatto@sikurezza.org>
* URL             : https://github.com/sengaya/libkeepalive
* License         : GPL
  Description     : enable tcp keepalive support in programs using shared libraries

 libkeepalive library provides a way to enable tcp keepalive support in
 any program that uses shared libraries (e.g.: glibc shared object) to
 perform network operations. Using the preload method, you will be able to
 intercept normal program execution and to inject the code needed to enable
 the keepalive routines, everything done without modifying the original
 binary file and with no need to gain root privileges.






Owner recorded as Thorsten Alteholz <debian@alteholz.de>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Thu, 14 Feb 2013 04:24:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 14 Feb 2013 19:06:02 GMT) Full text and rfc822 format available.

Reply sent to Thorsten Alteholz <debian@alteholz.de>:
You have taken responsibility. (Mon, 08 Apr 2013 22:03:59 GMT) Full text and rfc822 format available.

Notification sent to Thorsten Alteholz <debian@alteholz.de>:
Bug acknowledged by developer. (Mon, 08 Apr 2013 22:03:59 GMT) Full text and rfc822 format available.

Message #14 received at 700518-close@bugs.debian.org (full text, mbox):

From: Thorsten Alteholz <debian@alteholz.de>
To: 700518-close@bugs.debian.org
Subject: Bug#700518: fixed in libkeepalive 0.2-1
Date: Mon, 08 Apr 2013 22:00:07 +0000
Source: libkeepalive
Source-Version: 0.2-1

We believe that the bug you reported is fixed in the latest version of
libkeepalive, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700518@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thorsten Alteholz <debian@alteholz.de> (supplier of updated libkeepalive package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 13 Feb 2013 18:00:00 +0100
Source: libkeepalive
Binary: libkeepalive0
Architecture: source amd64
Version: 0.2-1
Distribution: unstable
Urgency: low
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Changed-By: Thorsten Alteholz <debian@alteholz.de>
Description: 
 libkeepalive0 - enable tcp keepalive support in programs using shared libraries
Closes: 700518
Changes: 
 libkeepalive (0.2-1) unstable; urgency=low
 .
   * Initial package. (Closes: #700518)
Checksums-Sha1: 
 d410db54d6748b8c1c75bde5f46af7c79df2772b 1095 libkeepalive_0.2-1.dsc
 eb38b8b83e437dede949e7870510acf1a27a7d04 10110 libkeepalive_0.2.orig.tar.gz
 a7d2ff586262dd540449b1ef345edf41075620ff 2524 libkeepalive_0.2-1.debian.tar.gz
 c7905f741d93a36956302da314e800aeef598232 4658 libkeepalive0_0.2-1_amd64.deb
Checksums-Sha256: 
 9132d17d7abba143163f01b29aa11e92dd4e4001cadd26de7dc1f042551adedb 1095 libkeepalive_0.2-1.dsc
 a97b61ceff2c2d1f60c84e94bc23f705785af47aed4af06a836283ee9399fe4c 10110 libkeepalive_0.2.orig.tar.gz
 2b9df4ca38a095e8bd6a81399ba19a0e35bf76bb970668e8c1b9efd3c1a14388 2524 libkeepalive_0.2-1.debian.tar.gz
 c0cd7edd6f32f566e455234931e25035f53d017189d264d627e94de68aeb3ca9 4658 libkeepalive0_0.2-1_amd64.deb
Files: 
 1e7cdb5e370f2b8f2f7e07c2f3ce9beb 1095 libs optional libkeepalive_0.2-1.dsc
 bfa999855b35b754e57ced025ec4a458 10110 libs optional libkeepalive_0.2.orig.tar.gz
 c4b4f1982b6a72bd21102cd2c2980460 2524 libs optional libkeepalive_0.2-1.debian.tar.gz
 640f7967c6ad758ba8448d0c2db5cf73 4658 libs optional libkeepalive0_0.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEcnZ0ACgkQ02K2KlS5mJAlOACffFnAHxFmhsJRlTqF3eAxxGC5
M6cAn2RWUpgt0/Q9wCFtiZ6OVPTyFHoP
=hxkD
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 May 2013 07:27:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:35:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.